%define rname transaction-simple
%define name ruby-%{rname}
%define version 1.3.0
%define release %mkrel 5

Summary: Transaction::Simple object transactions
Name: %{name}
Version: %{version}
Release: %{release}
URL: http://trans-simple.rubyforge.org/
Source0: %{rname}-%{version}.tar.bz2
License: BSD-like
Group: Development/Ruby
BuildRoot: %{_tmppath}/%{name}-buildroot
Requires: ruby 
BuildRequires: ruby-devel
BuildArch: noarch

%description
Transaction::Simple provides a generic way to add active transaction support
to objects. The transaction methods added by this module will work with most
objects, excluding those that cannot be Marshal-ed (bindings, procedure
objects, IO instances, or singleton objects).

The transactions supported by Transaction::Simple are not backend transaction;
that is, they are not associated with any sort of data store. They are "live"
transactions occurring in memory and in the object itself. This is to allow
"test" changes to be made to an object before making the changes permanent.

%prep
%setup -q -n %{rname}-%{version}

%build

%install
rm -rf %buildroot
DESTDIR=%buildroot ruby install.rb --no-ri --tests --rdoc

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%{ruby_sitelibdir}/*
%doc Changelog Readme tests doc



%changelog
* Sat Aug 02 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.3.0-5mdv2009.0
+ Revision: 260436
- rebuild

* Mon Jul 28 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.3.0-4mdv2009.0
+ Revision: 251794
- rebuild

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 1.3.0-2mdv2008.1
+ Revision: 140755
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Apr 22 2007 Pascal Terjan <pterjan@mandriva.org> 1.3.0-2mdv2008.0
+ Revision: 16896
- Use Development/Ruby group
- Use std macros
- Use mkrel


* Tue Jun 14 2005 Pascal Terjan <pterjan@mandriva.org> 1.3.0-1mdk 
- first Mandriva release

